using System;
using System.IO;

public class Pikado
{
	public static void Main()
	{
		int pozicijaMiloseveKuce = Int32.Parse(Convert.ToString(Console.ReadLine()[2]));
		int[] koordinateKomsija = Translate();
		Console.WriteLine(sumaKoraka(pozicijaMiloseveKuce , koordinateKomsija));
	}

	public static int sumaKoraka(int x , int[] n)
	{
		Array.Sort(n);
		if(x<n[0])
		{
			return n[n.Length-1] - x;
		}
		if(x>n[n.Length-1])
		{
			return x - n[0];
		}
		if(x-n[0]<n[n.Length-1]-x)
		{
			return 2*(x-n[0]) + n[n.Length-1] - x;
		}
		else
		{
			return 2*(n[n.Length-1] - x) + x-n[0];
		}
	}

	public static int[] Translate()
	{
		Console.SetIn(new StreamReader(Console.OpenStandardInput(8*2048) , Console.InputEncoding , false , 8*2048));
		return Array.ConvertAll<string, int>(Console.ReadLine().Trim().Split(' '), int.Parse);
	}
}